/* arduino to TI 83+/84+, 86
Example 4
Created by William Massano 3/3/2014

Draw a circle using drawing command on both 83/84+ and 86
*/
#include <ArtoTI.h>

ArtoTI calc(8,7);

void setup(void){
  Serial.begin(9600);
  Serial.println("Start:");
  pinMode(13,OUTPUT);
  digitalWrite(13,LOW);          //for some reason 13 is high, force it low
  if(calc.comp==0){  
    Serial.println("Calculator not recognized, aborting");
    return;
  } 
 //lets's draw a circle! (83/84+ I show the hard way use the easy way like the 86 versionj)
  Serial.println(calc.comp,HEX);
  if(calc.comp==0x23){
    Serial.println("Sending 83/84+ commands to draw a circle");
    calc.sendCmd(0xFE61);              //plots off
    calc.Enter();
    calc.sendCmd(0x0063);              //std zoom
    calc.sendCmd(0x0062);              //Zo0m square mode
    calc.sendCmd(0x0040);              //quit
    calc.sendCmd(0x006a);              //draw circle
    calc.sendCmd(0x008e);              //abcissa 0
    calc.sendCmd(0x008b);              // comma
    calc.sendCmd(0x008e);              //ordinate 0
    calc.sendCmd(0x008b);              // comma
    calc.sendCmd(0x0095);              //7 radius
    calc.sendCmd(0x0086);               //right parens, not necessary, but is looks better
    calc.sendCmd(0x0005);              //enter
    delay(2000); 
    calc.clearScreen();  
    // redo an easier way
        calc.sendCmd(0xFE61);              //plots off
    calc.Enter();
    calc.sendCmd(0x0063);              //std zoom
    calc.sendCmd(0x0062);              //Zo0m square mode
    calc.sendCmd(0x0040);              //quit
    calc.sendCmd(0x006a);              //draw circle
    calc.sendANstring("0,0,7)");
    calc.Enter();
    delay(2000);
    calc.clearScreen();
  }
  if(calc.comp==0x06){
    Serial.println("Sending 86 commands to draw a circle");
    calc.sendANstring("ZSQR");    //square pixels
    calc.Enter();
    calc.sendANstring("CIRCL(0,0,7)");
    calc.Enter();
    delay(2000); 
//    calc.sendCmd(0x0007);  //exit
    calc.sendANstring("%ET");    //exit (86 only)  
}
  Serial.println("Done"); 
}
    
void loop(){
}

